Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.rawserialization
Class JavaPastContentHandleDeserializer

    java.lang.Object
      rice.p2p.past.rawserialization.JavaPastContentHandleDeserializer

All Implemented Interfaces:
  PastContentHandleDeserializer

    public class JavaPastContentHandleDeserializer

extends java.lang.Object
implements PastContentHandleDeserializer

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Constructor Summary
`JavaPastContentHandleDeserializer()`

Method Summary
`PastContentHandle` | `deserializePastContentHandle(InputBuffer buf, Endpoint endpoint, short contentType)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPastContentHandleDeserializer

    public JavaPastContentHandleDeserializer()

Method Detail

### deserializePastContentHandle

    public PastContentHandle deserializePastContentHandle(InputBuffer buf,
                                                          Endpoint endpoint,
                                                          short contentType)
                                                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `deserializePastContentHandle` in interface `PastContentHandleDeserializer`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `endpoint` - DESCRIBE THE PARAMETER
    `contentType` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.